#include <stdio.h>
#include <stdlib.h>

typedef union {
    double d;
	int i[2];
} Double_bits;

void prikaz_int(int broj)
{
    int bit, i;
    unsigned mask;
	mask = 0x1 << 31;

    for (i = 1; i <= 32; ++i) {
	    bit = broj & mask ? 1 : 0;
        printf("%d", bit);
        if (i % 4 == 0) printf(" ");
	    mask >>= 1;
	}
	printf("\n");

    return;
}

void prikaz_double(double d)
{
    Double_bits u;
    u.d = d;
    printf(" 1. rijec: ");
    prikaz_int( u.i[0] );
    printf(" 2. rijec: ");
    prikaz_int( u.i[1] );
    return;
}

int main(void)
{
    double d;

    printf(" Upii realni broj: ");
    scanf("%lf", &d);

    printf(" Prikaz broja %10.3f u raunalu:\n", d);
    prikaz_double(d);

    return 0;
}

